org.apache.ivy.plugins.parser

## Class AbstractModuleDescriptorParser.AbstractParser

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.apache.ivy.plugins.parser.AbstractModuleDescriptorParser.AbstractParser

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

Direct Known Subclasses:
  XmlModuleDescriptorParser.Parser

Enclosing class:
  AbstractModuleDescriptorParser

    protected abstract static class AbstractModuleDescriptorParser.AbstractParser
    extends org.xml.sax.helpers.DefaultHandler

### Constructor Summary

Constructors
`protected` `AbstractModuleDescriptorParser.AbstractParser(ModuleDescriptorParser parser)`

### Method Summary

Methods
`protected void` `addError(java.lang.String msg)`
`protected void` `checkErrors()`
`void` `error(org.xml.sax.SAXParseException ex)`
`void` `fatalError(org.xml.sax.SAXParseException ex)`
`protected java.lang.String` `getDefaultConf()`
`protected java.lang.String` `getDefaultConfMapping()`
`protected DependencyDescriptor` `getDefaultConfMappingDescriptor()`
`protected java.util.Date` `getDefaultPubDate()`
`protected DefaultModuleDescriptor` `getMd()`
`ModuleDescriptor` `getModuleDescriptor()`
`ModuleDescriptorParser` `getModuleDescriptorParser()`
`protected Resource` `getResource()`
`protected void` `parseDepsConfs(java.lang.String[] conf, DefaultDependencyDescriptor dd, boolean useDefaultMappingToGuessRightOperande)`
`protected void` `parseDepsConfs(java.lang.String[] conf, DefaultDependencyDescriptor dd, boolean useDefaultMappingToGuessRightOperande, boolean evaluateConditions)`
`protected void` `parseDepsConfs(java.lang.String confs, DefaultDependencyDescriptor dd)`
`protected void` `parseDepsConfs(java.lang.String confs, DefaultDependencyDescriptor dd, boolean useDefaultMappingToGuessRightOperande)`
`protected void` `parseDepsConfs(java.lang.String confs, DefaultDependencyDescriptor dd, boolean useDefaultMappingToGuessRightOperande, boolean evaluateConditions)`
`protected void` `setDefaultConf(java.lang.String defaultConf)`
`protected void` `setDefaultConfMapping(java.lang.String defaultConf)`
`protected void` `setMd(DefaultModuleDescriptor md)`
`void` `setResource(Resource res)`
`void` `warning(org.xml.sax.SAXParseException ex)`

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractModuleDescriptorParser.AbstractParser

    protected AbstractModuleDescriptorParser.AbstractParser(ModuleDescriptorParser parser)

### Method Detail

#### getModuleDescriptorParser

    public ModuleDescriptorParser getModuleDescriptorParser()

#### checkErrors

    protected void checkErrors()
                        throws java.text.ParseException

Throws:
  `java.text.ParseException`

#### setResource

    public void setResource(Resource res)

#### getResource

    protected Resource getResource()

#### getDefaultConfMapping

    protected java.lang.String getDefaultConfMapping()

#### setDefaultConfMapping

    protected void setDefaultConfMapping(java.lang.String defaultConf)

#### parseDepsConfs

    protected void parseDepsConfs(java.lang.String confs,
                      DefaultDependencyDescriptor dd)

#### parseDepsConfs

    protected void parseDepsConfs(java.lang.String confs,
                      DefaultDependencyDescriptor dd,
                      boolean useDefaultMappingToGuessRightOperande)

#### parseDepsConfs

    protected void parseDepsConfs(java.lang.String confs,
                      DefaultDependencyDescriptor dd,
                      boolean useDefaultMappingToGuessRightOperande,
                      boolean evaluateConditions)

#### parseDepsConfs

    protected void parseDepsConfs(java.lang.String[] conf,
                      DefaultDependencyDescriptor dd,
                      boolean useDefaultMappingToGuessRightOperande)

#### parseDepsConfs

    protected void parseDepsConfs(java.lang.String[] conf,
                      DefaultDependencyDescriptor dd,
                      boolean useDefaultMappingToGuessRightOperande,
                      boolean evaluateConditions)

#### getDefaultConfMappingDescriptor

    protected DependencyDescriptor getDefaultConfMappingDescriptor()

#### addError

    protected void addError(java.lang.String msg)

#### warning

    public void warning(org.xml.sax.SAXParseException ex)

Specified by:
  `warning` in interface `org.xml.sax.ErrorHandler`
Overrides:
  `warning` in class `org.xml.sax.helpers.DefaultHandler`

#### error

    public void error(org.xml.sax.SAXParseException ex)

Specified by:
  `error` in interface `org.xml.sax.ErrorHandler`
Overrides:
  `error` in class `org.xml.sax.helpers.DefaultHandler`

#### fatalError

    public void fatalError(org.xml.sax.SAXParseException ex)
                    throws org.xml.sax.SAXException

Specified by:
  `fatalError` in interface `org.xml.sax.ErrorHandler`
Overrides:
  `fatalError` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`

#### getDefaultConf

    protected java.lang.String getDefaultConf()

#### setDefaultConf

    protected void setDefaultConf(java.lang.String defaultConf)

#### getModuleDescriptor

    public ModuleDescriptor getModuleDescriptor()
                                         throws java.text.ParseException

Throws:
  `java.text.ParseException`

#### getDefaultPubDate

    protected java.util.Date getDefaultPubDate()

#### setMd

    protected void setMd(DefaultModuleDescriptor md)

#### getMd

    protected DefaultModuleDescriptor getMd()